Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.backend
Class Proxy

    java.lang.Object
      org.apache.catalina.ha.backend.Proxy

    public class Proxy

extends Object

Nested Class Summary
`protected static class` | `Proxy.State`

Field Summary
`InetAddress` | `address`
`int` | `port`
`Proxy.State` | `state`

Constructor Summary
`Proxy()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### address

    public InetAddress address

### port

    public int port

### state

    public Proxy.State state

Constructor Detail

### Proxy

    public Proxy()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.